apiVersion: v1
kind: ConfigMap
metadata:
  name: ocf-helper-configmap
data:
  config.yaml: |
    mongo: {
      'user': '{{ .Values.env.mongoInitdbRootUsername }}',
      'password': '{{ .Values.env.mongoInitdbRootPassword }}',
      'db': 'capif',
      'invoker_col': 'invokerdetails',
      'provider_col': 'providerenrolmentdetails',
      'col_services': "serviceapidescriptions",
      'col_security': "security",
      'col_event': "eventsdetails",
      'host': '{{ .Values.env.mongoHost }}',
      'port': "{{ .Values.env.mongoPort }}"
    }

    ca_factory: {
      "url": {{ quote .Values.env.vaultHostname }},
      "port": {{ quote .Values.env.vaultPort }},
      "token": {{ quote .Values.env.vaultAccessToken }}
    }